Package org.w3c.tidy

# Class Style

java.lang.Object
org.w3c.tidy.Style

public class Style extends Object
Linked list of class names and styles.

Version:
  $Revision: 587 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Style`
`next`
Next linked style element.
`protected String`
`properties`
Style properties.
`protected String`
`tag`
Tag name.
`protected String`
`tagClass`
Tag class.

## Constructor Summary

Constructors
Constructor
Description
`Style(String tag, String tagClass, String properties, Style next)`
Instantiates a new style.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tag

protected String tag
Tag name.

### tagClass

protected String tagClass
Tag class.

### properties

protected String properties
Style properties.

### next

protected Style next
Next linked style element.

## Constructor Details

### Style

public Style(String tag, String tagClass, String properties, Style next)
Instantiates a new style.

Parameters:
  `tag` - Tag name
  `tagClass` - Tag class
  `properties` - Style properties
  `next` - Next linked style element. Can be null.